REST APIEnterpriseUser

GET

Returns the session associated with access token passed via the Authorization header.

Responses

200
OK

Response Body

object

  • session object required
    session object
    • bitgoAdminPermissions array of strings
    • client string
      The client associated with the access token
    • created string date-time
      The creation date of the access token
    • enterprise string
      The enterprise associated with the access token
    • expires string date-time
      The expiration date of the access token
    • extensionAddress string
      The extension address associated with the access token
    • id string required

      matches ^[0-9a-f]{32}$

    • internal boolean
    • ip string ipv4
      IP address of the client that requested this access token
    • ipRestrict array of strings
    • isExtensible boolean required
      Indicates if the access token is extensible
    • label string
      The label associated with the access token
    • organizations array of strings
    • origin string
      BitGo environment that issued this token
    • token string
      The token value
    • scope array of strings
    • unlock object
      The unlock object, returned if this session is currently unlocked
      unlock object
      • spendingLimits map of objects
        spendingLimits object
        • <key> object
          value object
          • txCount number
            The transaction count limit for the coin
          • txValue number
            The transaction value limit for the coin
          • txValueLimit number
            The maximum transaction value limit for the coin
      • expires string date-time
      • time string date-time
      • txCount number
      • txValue number
      • txValueLimit number
    • user string

      matches ^[0-9a-f]{32}$

401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id